*cd c:\users\ash\dropbox\riksveg\replication
*cd C:\Users\A0910846\Dropbox\FivaHalseSmith\replication

use dta\maindata, clear

keep if seat==1

bysort year: sum hometownID

egen min_hometownID=min(hometownID), by(pid)
egen max_hometownID=max(hometownID), by(pid)

li year party district pid candidatename_ed min_hometownID max_hometownID if hometownID==.
replace hometownID=min_hometownID if hometownID==.  

recode parachute_new (.=0)

* CANDIDATES RESIDING IN THEIR ELECTION DISTRICT *

preserve
gen hometown_missing=0
replace hometown_missing=1 if hometownID==.
tab hometown_missing
drop if hometown_missing==1
collapse parachute_new, by(year)
gen local=1-parachute_new
scatter local year, connect(l) msymbol(O) mcolor(white) mlcolor(black) xtitle("Election year") ytitle("Fraction of legislators with local ties") xscale(range(1953 2013)) xlabel(1953(4)2013, angle(45) ) ///
plotregion(lcolor(white) ilcolor(white)) graphregion(color(white)) scheme(s2mono) yscale(range(0 1)) ylabel(0(0.2)1, angle(0)) ymtick(0(0.2)1) legend(off) xsize(7) ysize(7)
graph save Fig/gph/Local.gph, replace
restore


* SHARE OF MUNICIPALITIES REPRESENTED *

gen count=1
collapse (sum) count, by(year hometownID)

gen represented=0
replace represented=1 if count>0

collapse (sum) represented, by(year)

gen municipalities=.
replace municipalities=744 if year==1953
replace municipalities=744 if year==1957
replace municipalities=731 if year==1961
replace municipalities=466 if year==1965
replace municipalities=451 if year==1969
replace municipalities=444 if year==1973
replace municipalities=454 if year==1977
replace municipalities=454 if year==1981
replace municipalities=454 if year==1985
replace municipalities=448 if year==1989
replace municipalities=439 if year==1993
replace municipalities=435 if year==1997
replace municipalities=435 if year==2001
replace municipalities=433 if year==2005
replace municipalities=430 if year==2009
replace municipalities=428 if year==2013

gen sh_represented=represented/municipalities

scatter sh_represented year, connect(l) msymbol(O) mcolor(white) mlcolor(black) xtitle("Election year") ytitle("Fraction of municipalities represented") xscale(range(1953 2013)) xlabel(1953(4)2013, angle(45) ) ///
plotregion(lcolor(white) ilcolor(white)) graphregion(color(white)) scheme(s2mono)  yscale(range(0 0.25)) ylabel(0(0.05)0.25, angle(0)) ymtick(0(0.05)0.25) legend(off) xsize(7) ysize(7)
graph save Fig/gph/ShareRepresented.gph, replace

scatter municipalities year, connect(l) msymbol(O) mcolor(white) mlcolor(black) xtitle("Election year") ytitle("Number of municipalities") xscale(range(1953 2013)) xlabel(1953(4)2013, angle(45) ) ///
plotregion(lcolor(white) ilcolor(white)) graphregion(color(white)) scheme(s2mono) yscale(range(0 750)) ylabel(0(150)750, angle(0)) ymtick(0(0.1)0.3) legend(off) xsize(7) ysize(7)
graph save Fig/gph/Municipalities.gph, replace

cd C:\Users\zruan\Documents\qjps_19147_supp\Fig\gph\
graph combine Municipalities.gph Local.gph ShareRepresented.gph, plotregion(lcolor(white) ilcolor(white)) graphregion(color(white)) scheme(s2mono) cols(3) xsize(11) iscale(*1.2)
cd C:\Users\zruan\Documents\qjps_19147_supp\
graph export Fig\FigA1.pdf, replace
*graph export ..\figures\MunicipalitiesRepresented_.pdf, replace
