*cd c:\users\ash\dropbox\riksveg\replication

use dta\roadinvest_yearly.dta, clear

cd C:\Users\zruan\Documents\qjps_19147_supp\Fig\gph\

*** COMPARE BRIDGES BUILT AND INVESTMENTS ACROSS DISTRICTS ***

preserve
keep if year>=1964&year<2001

collapse (sum) bridges=mroad_nat (mean) investments, by(cnr year)
collapse (sum) bridges investments, by(cnr)

twoway (scatter bridges investments, msymbol(X) mlabcolor(black) msize(small) mcolor(black)) (lfit bridges investments, lcolor(black) lpattern(solid)), legend(off) subtitle("Total (1964-2000)") xscale(range(0)) yscale(range(0)) ylabel(0(5000)25000, angle(0)) graphregion(color(white)) ytitle("Constructions (m)") xtitle("Investments (million NOK)")
graph save scatter_bridges_investments_cnr.gph, replace
restore

*** COMPARE BRIDGES BUILT AND INVESTMENTS OVER TIME WITHIN DISTRICT ***

preserve
forval i=0/3 {
gen f`i'_bridges=f`i'.mroad_nat
}
keep if year>=1964&year<2001

collapse (sum) *bridges (mean) investments, by(cnr year)

binscatter f0_bridges investments, absorb(cnr) lcolor(black) mcolor(gray) msymbols(o msize(tiny)) subtitle("Each year") xlabel(0(200)800) ylabel(0(200)800, angle(0) gmax) xtitle("Investments (million NOK)") ytitle("Constructions (m)") graphregion(lcolor(white))
graph save scatter_bridges_investments_cnryear_lag0_single.gph, replace

restore

*** FIGURE SHOWING BOTH CROSS-SECTIONAL AND REGION-YEAR COMPARISON ***

graph combine scatter_bridges_investments_cnr.gph scatter_bridges_investments_cnryear_lag0_single.gph, ysize(3) graphregion(color(white)) iscale(*1.4)

cd C:\Users\zruan\Documents\qjps_19147_supp\

*graph export ..\figures\scatter_bridges_investments.pdf, replace
graph export Fig\FigB1.pdf, replace
